<template>
  <div>
    <ClientOnly>
      <div>
        <v-img v-if="isLargeScreen && !small" width="302px" contain src="/logo.png"></v-img>
        <v-img v-if="!isLargeScreen" class="small-logo" contain width="41px" height="41px" src="/logo.min.png"></v-img>
      </div>
    </ClientOnly>
  </div>
</template>
<script>
import { useMediaQuery } from '@vueuse/core'
const isLargeScreen = useMediaQuery('(min-width: 750px)')
export default {
  name: 'KuSobieLogo',
  props: {
    small: {
      type: Boolean,
      required: false,
      default: false
    }
  },

  data() {
    return {
      isLargeScreen,
    }
  }
}
</script>
<style scoped lang="scss">
.logo {
  height: auto;
  position: absolute;
  top: 20px;
  right: 100px;
  z-index: 1;
  .v-image__image.v-image__image--cover {
    background-size: auto;
  }
}

@keyframes turn {
  100% {
    transform: rotateY(0deg);
  }
}
.v-responsive__sizer {
  padding-bottom: 10%;
}
@media only screen and (max-width: 750px) {
  .small-logo {
    top: -69px;
    left: 80vw;
    z-index: 999;
  }

}
</style>
